/**
 * Checks if `value` is in `collection`. If `collection` is a string, it's checked for a substring of `value`. If `fromIndex` is negative, it's used as the offset from the end of `collection`.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 4,546 bytes
 * - Micro-dash: 319 bytes
 */
export declare function includes<T extends any[] | object | string>(collection: T, value: T extends any[] ? T[0] : T extends string ? string : T[keyof T], fromIndex?: number): boolean;
