import { ArrayIteratee, ObjectIteratee } from '../interfaces';
/**
 * Checks if `predicate` returns truthy for **any** element of `collection`. Iteration is stopped once `predicate` returns truthy.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 14,064 bytes
 * - Micro-dash: 298 bytes
 */
export declare function some<T>(array: T[] | undefined, predicate: ArrayIteratee<T, any>): boolean;
export declare function some<T>(object: T | undefined, predicate: ObjectIteratee<T, any>): boolean;
