/**
 * Pads `string` on the left and right sides if it's shorter than `length`. Padding characters are truncated if they can't be evenly divided by `length`.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 3,337 bytes
 * - Micro-dash: 217 bytes
 */
export declare function pad(s: string, length: number, chars?: string): string;
/** @hidden */
export declare function makePadding(s: string, length: number, chars: string): string;
